/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class CroixEnConsole {

  /* Fonction principale                                  */

  public static void main(String [] args) {
    Console.setTitle("Croix");
  /* Variables indices de boucles pour                         */
    int i,j;
  /* Variable de stockage du nombre de lignes et de colonnes   */
    int n;
  /* Lecture clavier du nombre de nombres a calculer           */
    Console.out.println("Nombre de lignes et de colonnes?");
    n = Integer.valueOf(Console.in.readLine()).intValue();
  /* Boucle d'affichage des n lignes (i de 1 a n)              */
    for ( i = 1 ; i <= n ; i++ ) {
  /* Boucle d'affichage des n colonnes de chaque lignes        */
  /* (j de 1 a n)                                              */
      for ( j = 1 ; j <= n ; j++ ) {
  /* Deux alternatives pour l'affichage d'un caractere         */
  /* (1) j = i ou j =n+1-i -> affichage de "+"                 */
  /* (2) sinon -> affichage de "-"                             */
  /* Affichage de chaque caractere sans aller a la ligne       */
        if ( ( j == i ) || ( j == n+1-i ) )
          Console.out.print("+");
          else
          Console.out.print("-"); }
  /* Saut a la ligne a la fin de chaque ligne                  */
      Console.out.println(); }
  }
}